Answer User Interaction
Answers a user interaction for a specific workflow run. If a workflow run with ID: executionId has a user interaction request, the workflow run is suspended until a user answers the interaction request. To answer a user interaction, use this API call with appropriate parameters.
Request
URI
POST
https://{api_host}/vco/api/workflows/{workflowId}/executions/{executionId}/interaction
COPY
Path Parameters
string
workflowId
Required
workflowId
string
executionId
Required
executionId
Request Body
ExecutionContext
of type(s)
application/json
Required
{
"executionId": "string",
"parameters": [
{
"name": "string",
"type": "Example types are: SecureString, MimeAttachment, Regexp, Array/VC:VirtualMachine, boolean, string and etc.",
"description": "string",
"scope": "string",
"updated": false,
"encrypt-value": false
}
],
"profilerOptions": {
"enabled": false,
"debuggerEnabled": false,
"tokenReplayEnabled": false
}
}
string
executionId
Optional
executionId
array of
object
parameters
Optional
parameters
object
profilerOptions
Optional
profilerOptions
Responses
204
No content
Operation doesn't return any data structure
400
The request is invalid(validation error)
Operation doesn't return any data structure
401
The user is not authorized
Operation doesn't return any data structure
404
Can not find a workflow with the specified ID or the user does not have 'read' access rights for that workflow
Operation doesn't return any data structure
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/vco/api/workflows/{workflowId}/executions/{executionId}/interaction
On This Page
Workflow Run Service Operations
GET
Get All Executions For
POST
Start Workflow Execution
GET
Get User Interaction
POST
Answer User Interaction
DELETE
Cancel User Interaction
GET
Get Workflow Execution
DELETE
Delete Workflow Execution
GET
Export Execution Logs 1
GET
Get Workflow Execution Statistics
GET
Get Workflow Execution State
DELETE
Cancel Workflow Execution
GET
Get Workflow Execution Logs